!!! 5
%html{lang: "en"}
  %head
    = partial "includes/layout/head"
    // Tracks post type to measure interest for each type
    %script
      dataLayer = [{ "postType": "#{current_article.data.postType}" }];
  %body{:data => {:spy => "scroll", :target => ".qnav"}}
    = partial "includes/google/gtm"
    = partial "includes/layout/header"

    .blog.article
      - if is_blog_article?
        - image_title = current_article.data.image_title ? current_article.data.image_title : '/images/default-blog-image.png'

        .cover{ style: "background-image: url(#{image_title});" }
          .overlay
            .wrapper.header
              %span.date
                = current_article.date.to_time.strftime '%b %e, %Y'
              %span -
              %span.author
                - guest = current_article.data.guest
                - anchor = current_article.data.author_twitter || current_article.data.author_gitlab
                - if guest
                  = current_article.data.author
                - else
                  - if anchor
                    = link_to current_article.data.author, "/company/team/##{anchor}"
                  - else
                    = current_article.data.author
                - if current_article.data.author_gitlab
                  = link_to "https://gitlab.com/#{current_article.data.author_gitlab}" do
                    %span &nbsp;
                    %spam.author-gitlab
                      %i.fab.fa-gitlab
                - if current_article.data.author_twitter
                  = link_to "https://twitter.com/#{current_article.data.author_twitter}" do
                    %span &nbsp;
                    %spam.author-twitter
                      %i.fab.fa-twitter
              - if current_article.data.release_number
                .release-number
                  = current_article.data.release_number
              %h1
                = current_article.title
              - if current_article.data.description
                %p.description
                  = current_article.data.description
              - if current_article.data.cta_button_link && current_article.data.cta_button_text
                = link_to(current_article.data.cta_button_text, "#{current_article.data.cta_button_link}", class: "btn btn-lg btn-red")

      .wrapper.body
        - if is_blog_article?
          .category-back-link
            - if current_article.data.categories
              = link_to "/blog/categories/#{current_article.data.categories}".downcase.gsub(/[ ]/, '-') do
                %span &#8592;
                %span Back to
                %span #{current_article.data.categories}
        .content
          = yield

          = partial "includes/blog/twitter_helper"

        - if is_blog_article? && current_article.tags.length > 0
          %ul.tag-list.list-unstyled
            - current_article.tags.each do |tag|
              %li.tag
                = link_to tag, "/blog/tags.html##{tag.gsub(/\s+/, '-')}"

        .social
          = partial "includes/blog/share"

        = partial "includes/blog/pager"

      .wrapper.signup
        = partial "includes/newsletter-signup.html"

      - unless current_page.data.install_cta == false
        = partial "includes/blog/install"

      - if production?
        .wrapper.comments
          = partial "includes/blog/comments"

      = partial "includes/layout/footer"
      - unless current_page.data.ee_cta == false
        = partial "includes/features/gitlab-ee-trial"
